org.apache.tools.ant.types.resources

## Class Intersect

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.resources.BaseResourceCollectionContainer
      - - org.apache.tools.ant.types.resources.Intersect

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Iterable<Resource>, ResourceCollection

    public class Intersect
    extends BaseResourceCollectionContainer

ResourceCollection representing the intersection of multiple nested ResourceCollections.

Since:
  Ant 1.7

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`Intersect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.Collection<Resource>` `getCollection()` Calculate the intersection of the nested ResourceCollections.

### Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionContainer

`add, addAll, clear, clone, dieOnCircularReference, getResourceCollections, isCache, isFilesystemOnly, iterator, setCache, size, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Intersect

    public Intersect()

### Method Detail

#### getCollection

    protected java.util.Collection<Resource> getCollection()

Calculate the intersection of the nested ResourceCollections.

Specified by:
  `getCollection` in class `BaseResourceCollectionContainer`
Returns:
  a Collection of Resources.